# Account Holders search Endpoint: POST /account-holders/action/search Version: 1.0.0-beta Security: bearerToken ## Query parameters: - `page` (integer) - `size` (integer) ## Request fields (application/json): - `registryAccountId` (string) ID of the account on the registry. - `registryAccountName` (string) - `program` (string) Program name. Ref.Data.REGISTRY_PROGRAM_REGI - `accountType` (string) Account type description. - `active` (boolean) True/False. - `generatorAccount` (boolean) True/False. ## Response 200 fields (application/json): - `page` (integer, required) - `size` (integer, required) - `totalPages` (integer, required) - `totalElements` (integer, required) - `content` (array) - `content.registryAccountId` (string, required) ID of the account on the registry. - `content.registryAccountName` (string, required) Name of the account on the registry. - `content.program` (string, required) Program name. Ref.Data.REGISTRY_PROGRAM_REGI - `content.accountType` (string) Account type description. - `content.managerName` (string) Name of the manager. - `content.active` (boolean, required) True/False. - `content.generatorAccount` (boolean) True/False. ## Response 400 fields (application/json): - `code` (string) Enum: "INVALID_REQUEST", "INVALID_PROGRAM", "INVALID_PAGE_SIZE", "INVALID_PAGE_NUMBER" - `message` (string) ## Response 401 fields (application/json): - `message` (string) ## Response 500 fields (application/json): - `message` (string)